/******************************************************************************/
/* netmisc - miscellaneous network routines                                   */
/* copyright (c) 2004 jamie twycross, jpt@cs.nott.ac.uk                       */
/* released under the gnu general public license v2                           */
/******************************************************************************/

#include <stdio.h>

inline short int compare_mac(unsigned char *a, unsigned char *b)
{
	register unsigned int i;

	for(i = 0; i < 6; i++)
		if(a[i] != b[i])
			return 0;
	return 1;
}

inline void print_mac(unsigned char *a)
{
	register unsigned int i;

	printf("%2X", a[0]);
	for(i = 1; i < 6; i++)
		printf(":%2X", a[i]);
	printf("\n");
}
